Subject: [bug#47539] [PATCH 00/28] Add gh and dependencies

From: Xinglu Chen <[email-masked]>
Date: Thu, 01 Apr 2021 09:51:26 +0200

This patchset adds the 'gh' package, a CLI interface to GitHub.  The Go
importer did most of the work. :)

Some things to note:

- When building'gh', I couldn't get
  'go-github-com-charmbracelet-glamour' to build without moving some
  native-inputs to propagated-inputs, though, if I was only building
  'go-github-com-charmbracelet-glamour' it would build without moving
  things to propagated-inputs.  I am not sure why this happens.

- I found that (gnu packages syncthing) contained quite a few Go
  packages, I think it would make sense to move those packages to (gnu
  packages golang), and move the Syncthing package to (gnu packages
  sync).  This would be done in a separate commit though.

- The patch marked with 'D' adds a package which has been deprecated by
  upstream, but it is still needed by one of the packages that 'gh'
  depend on.  I have marked it as a hidden package, let me know if this
  is the right decision.

- The patch marked with 'W' adds a package which is needed by 'gh', but
  only used on Windows.  It is still Free Software (BSD-2), but I have
  also marked it as hidden.

Xinglu Chen (28):
  gnu: go-github-com-charmbracelet-glamour: Move some inputs to
    propagated-inputs.
  gnu: Add go-github-com-hinshun-vt10x.
  gnu: Add go-github-com-creack-pty.
D gnu: Add go-github-com-kr-pty.
  gnu: Add go-github-com-netflix-go-expect.
  gnu: Add go-github-com-alecaivazis-survey-v2.
  gnu: Add go-github-com-makenowjust-heredoc.
  gnu: Add go-github-com-briandowns-spinner.
  gnu: Add go-github-com-cli-browser.
  gnu: Add go-github-com-cli-oauth.
W gnu: Add go-github-com-cli-safeexec.
  gnu: Add go-github-com-russross-blackfriday-v2.
  gnu: Add go-github-com-shurcool-sanitized-anchor-name.
  gnu: Add go-github-com-cpuguy83-go-md2man-v2.
  gnu: Add go-github-com-enescakir-emoji.
  gnu: Add go-github-com-gabriel-vasile-mimetype.
  gnu: Add go-github-com-google-shlex.
  gnu: Add go-github-com-henvic-httpretty.
  gnu: Add go-github-com-itchyny-go-flags.
  gnu: Add go-github-com-itchyny-timefmt-go.
  gnu: Add go-github-com-itchyny-gojq.
  gnu: Add go-github-com-mattn-go-runewidth.
  gnu: Add go-github-com-rivo-uniseg.
  gnu: Add go-github-com-shurcool-githubv4.
  gnu: Add go-gopkg-in-yaml-v3.
  gnu: Add go-github-com-shurcool-graphql.
  gnu: Add go-github-com-cli-shurcool-graphql.
  gnu: Add gh.

 gnu/packages/golang.scm          | 745 ++++++++++++++++++++++++++++++-
 gnu/packages/version-control.scm |  92 ++++
 2 files changed, 826 insertions(+), 11 deletions(-)

base-commit: 94c77c9a0f7a1a4d7665d8fe566547016d2588d9
-- 
2.31.1